#MACRO(COMPILE_KERNEL input_file)
    set(output_file "${input_file}.h")

    file(READ "${input_file}" contents)

    string(REGEX REPLACE ";" "\\\\;" contents "${contents}")
    string(REGEX REPLACE "\n" "E;" contents "${contents}")

    message(${output_file})    
    file(WRITE "${output_file}")
    foreach(lineE ${contents})
	string(REGEX REPLACE "^(.*)E$" "\\1" line "${lineE}")
	file(APPEND "${output_file}" "  \"${line}\\n\"\n")
    endforeach()

    file(APPEND "${output_file}"  ";\n")
#ENDMACRO()
