/*
 * The PyHST program is Copyright (C) 2002-2008 of the
 * European Synchrotron Radiation Facility (ESRF).
 *
 * PyHST is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * hst is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _PYHST_CUDA_H
#define _PYHST_CUDA_H

# ifdef __cplusplus
extern "C" {
# endif

HSTReconstructor *hst_cuda_init(int flags);
void hst_cuda_free();

void *hst_cuda_host_malloc(size_t size, HSTPinnedAccess access);
void hst_cuda_host_free(void *ptr);

# ifdef __cplusplus
}
# endif

#endif /* _PYHST_CUDA_H */
