    texture<float, cudaTextureType1DLayered, cudaReadModeElementType> tex_layers;

    tex_layers.filterMode = cudaFilterModeLinear;
    tex_layers.addressMode[0] = cudaAddressModeWrap;
    tex_layers.normalized = false;

    cudaArray *data_array;
    const struct cudaChannelFormatDesc fdesc = cudaCreateChannelDesc<float>();//(32, 0, 0, 0, cudaChannelFormatKindFloat); 

    CUDA_SAFE_CALL( cudaMalloc3DArray( &data_array, &fdesc, make_cudaExtent(num_bins, 0, num_proj), cudaArrayLayered )); 
    cudaMemcpy3DParms myparms = {0};
    myparms.srcPos = make_cudaPos(0,0,0); 
    myparms.dstPos = make_cudaPos(0,0,0); 
    myparms.srcPtr = make_cudaPitchedPtr(ctx->gpu_data, ctx->bin_pitch_size * sizeof(float), num_bins, 0);//, num_proj); 
    myparms.dstArray = data_array;
    myparms.extent = make_cudaExtent(num_bins, 0, num_proj);
    myparms.kind = cudaMemcpyDeviceToDevice;
    CUDA_SAFE_CALL(cudaMemcpy3D(&myparms));

    CUDA_SAFE_CALL(cudaBindTextureToArray(tex_layers, data_array, fdesc));

    res=res+tex1DLayered(tex_layers, h, proje) ;

    CUDA_SAFE_CALL(cudaUnbindTexture(tex_layers));
    CUDA_SAFE_CALL(cudaFreeArray(data_array));
